<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2 class="first">توابع پیوست ها</h2>
<h3 class="click">Get Attachment Link <span>get_attachment_link();</span></h3>
<div class="dropdown">
<p class="description">این تابع آدرس صفحه فایل پیوست شده را بر می گرداند.</p>
<p class="code">&lt;?php&nbsp;get_attachment_link(id);&nbsp;?></p>
<div class="parameter">
<h3>id</h3>
<h4>نوع: عدد صحیح</h4>
<p>آیدی فایل پیوست شده</p>
</div>
</div>
<h3 class="click">Is Attachment <span>is_attachment();</span></h3>
<div class="dropdown">
<p class="description">این تابع شرطی بررسی می کند که آیا صفحه ای که کاربر در حال مشاهده است صفحه یک فایل پیوست شده است یا نه. فایل هایی که با استفاده از آپلودر موجود در صفحه ویرایش نوشته بارگذاری شده باشند، پیوست حساب می شوند. پیوست ها می توانند در صفحه ای مخصوص به خود نمایش داده شوند. این یک تابع بولی است که خروجی آن True (بله) یا False (خیر) است.</p>
<p class="code">&lt;?php&nbsp;is_attachment();&nbsp;?></p>
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">The Attachment Link <span> the_attachment_link();</span></h3>
<div class="dropdown">
<p class="description">خروجی تابع یک پیوند به فایل پیوست است. این پیوند یا دارای (1) یک تصویر بندانگشتی یا در اندازه اصلی - در صورت وجود - یا دارای (2) نماد نوع فایل پیوست شده - در صورت وجود - است یا (3) عنوان پیوست است.</p>
<p class="code">&lt;?php&nbsp;the_attachment_link(id,&nbsp;fullsize,&nbsp;permalink);&nbsp;?></p>
<div class="parameter">
<h3>id</h3>
<h4>نوع: عدد صحیح</h4>
<p>آیدی پیوست مورد نظر. اختیاری؛ به صورت پیش فرض آیدی نوشته فعلی.</p>
<hr />
</div>
<div class="parameter">
<h3>fullsize</h3>
<h4>نوع: بولی &middot; مقدار پیش فرض: False</h4>
<p>اگر روی True تنظیم شود، عکس پیوست شده در اندازه اصلی نمایش خواهد یافت و اگر روی False تنظیم شود، تصویر بندانگشتی عکس نمایش داده می شود. اگر روی Flase تنظیم شده باشد و تصویر بندانگشتی پیدا نشود، عکس در اندازه اصلی نمایش می یابد.</p>
<hr />
</div>
<div class="parameter">
<h3>پیوند یکتا</h3>
<h4>نوع: بولی &middot; مقدار پیش فرض: False</h4>
<p>پیوند به صفحه پیوست (True) و یا پیوند مستقیم به فایل پیوست شده (False).</p>
</div>
</div>
<h3 class="click">Attachment Is Image <span>wp_attachment_is_image();</span></h3>
<div class="dropdown">
<p class="description">این تابع مشخص می کند که فایل پیوست شده عکس است یا خیر. اگر پیوست عکس باشد True و اگر نباشد False برگردانده می شود.</p>
<p class="code">&lt;?php&nbsp;wp_attachment_is_image($post_id);&nbsp;?></p>
<div class="parameter">
<h3>&amp;post_id</h3>
<h4>نوع: عدد صحیح</h4>
<p>آیدی نوشته.</p>
</div>
</div>
<h3 class="click">Get Attachment Image <span>wp_get_attachment_image();</span></h3>
<div class="dropdown">
<p class="description">در صورت وجود، عکس پیوست شده را در قالب یک عنصر HTML بر می گرداند. در غیر این صورت خروجی یک رشته خالی است.</p>
<p class="code">&lt;?php&nbsp;echo&nbsp;wp_get_attachment_image($attachment_id,&nbsp;$size,&nbsp;$icon);&nbsp;?></p> 
<div class="parameter">
<h3>$attachment_id</h3>
<h4>نوع: عدد صحیح</h4>
<p>آیدی پیوست مورد نظر. معمولا وارد کردن این پارامتر لازم است. اما اگر این دستور را درون یک حلقه پیوست (مثلا در صفحه پیوست) استفاده می کنید نیازی به وارد کردن این پارامتر نیست.</p>
<hr />
</div>
<div class="parameter">
<h3>$size</h3>
<h4>نوع: رشته | آرایه &middot; مقدار پیش فرض: Thumbnail <span class="descspan">(اندازه کوچک)</h4>
<p>اندازه تصویری که برای یک پیوست نمایش داده می شود. به دو صورت می توان این پارامتر را مقدار دهی کرد:
(1) کلمات کلیدی (رشته) که عبارتند از thumbnail (بندانگشتی)، medium (متوسط)، large (بزرگ) و Full (اندازه اصلی) (2) یک آرایه دو عنصری که عنصر اول نماینده عرض و عنصر دوم نماینده ارتفاع بر حسب پیکسل می باشد. مثال: <span class="descspan" dir="ltr">array(32,32)</span>
همانند نسخه 2.5 وردپرس، این پارامتر تأثیری در اندازه آیکن های نماینده نوع فایل ندارد. استفاده از این پارامتر اختیاری است.
</p>
<hr />
</div>
<div class="parameter">
<h3>$icon</h3>
<h4>نوع: بولی &middot; مقدار پیش فرض: False</h4>
<p>استفاده از یک آیکن برای نمایش نوع فایل پیوست شده. اختیاری</p>
</div>
</div>
<h3 class="click">Get Attachment Image Source<span>wp_get_attachment_image_src();</span></h3>
<div class="dropdown">
<p class="description">عکس نماینده ی فایل پیوست را در صورت وجود بر می گرداند. در غیر این صورت، مقدار بازگشتی False خواهد بود.</p>
<p class="code">&lt;?php&nbsp;wp_get_attachment_image_src($attachment_id,&nbsp;$size,&nbsp;$icon);&nbsp;?></p> 
<div class="parameter">
<h3>$attachment_id</h3>
<h4>نوع: عدد صحیح</h4>
<p>آیدی پیوست مورد نظر.</p>
<hr />
</div>
<div class="parameter">
<h3>$size</h3>
<h4>نوع: رشته | آرایه &middot; مقدار پیش فرض: Thumbnail <span class="descspanrtl">(اندازه کوچک)</span></h4>
<p>اندازه تصویری که برای یک پیوست نمایش داده می شود. به دو صورت می توان این پارامتر را مقدار دهی کرد:
(1) کلمات کلیدی (رشته) که عبارتند از thumbnail (بندانگشتی)، medium (متوسط)، large (بزرگ) و Full (اندازه اصلی) (2) یک آرایه دو عنصری که عنصر اول نماینده عرض و عنصر دوم نماینده ارتفاع بر حسب پیکسل می باشد. مثال: <span class="descspan" dir="ltr">array(32,32)</span>
همانند نسخه 2.5 وردپرس، این پارامتر تأثیری در اندازه آیکن های نماینده نوع فایل ندارد. استفاده از این پارامتر اختیاری است.</p>
<hr />
</div>
<div class="parameter">
<h3>$icon</h3>
<h4>نوع: بولی &middot; مقدار پیش فرض: False</h4>
<p>استفاده از یک آیکن برای نمایش نوع فایل پیوست شده. اختیاری</p>
</div>
</div>
<h3 class="click">Get Attachment MetaData<span>wp_get_attachment_metadata();</span></h3>
<div class="dropdown">
<p class="description">مشخصات فایل پیوست مورد نظر را فراخوانی می کند. در صورت مواجهه با خطا، مقدار False برگردانده می شود.</p>
<p class="code">&lt;?php&nbsp;wp_get_attachment_metadata($post_id,&nbsp;$unfiltered)&nbsp;?></p> 
<div class="parameter">
<h3>$post_id</h3>
<h4>نوع: عدد صحیح</h4>
<p>(اجباری) آیدی پیوست مورد نظر.</p>
<hr />
</div>
<div class="parameter">
<h3>$unfiltered</h3>
<h4>نوع: بولی | آرایه &middot; مقدار پیش فرض: False</h4>
<p>اگر مقدار آن True باشد، فیلترها اعمال نخواهند شد.</p>
</div>
</div>
</div>
<?php include("footer.php"); ?>
</body>
</html>