<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2>توابع دسته ها</h2>
<h3 class="click">Category Description<span>category_description();</span></h3>
<div class="dropdown">
<p class="description">توضیحات دسته ی فعلی را که در بخش تنظیمات هر دسته تعیین می شود را بر می گرداند.</p>
<p class="code">&lt;?php&nbsp;echo&nbsp;category_description($category);&nbsp;?></p>
<div class="parameter">
<h3>$category</h3>
<h4>نوع: عدد صحیح</h4>
<p>آیدی دسته ای که مایل به فراخوانی توضیحاتش هستید. اگر مقداری وارد نکنید، به طور پیش فرض توضیحات دسته فعلی فراخوانی می شود.</p>
</div>
</div>
<h3 class="click">Single Cat Title<span>single_cat_title();</span></h3>
<div class="dropdown">
<p class="description">نام دسته ی صفحه فعلی را نمایش می دهد یا فراخوانی می کند. در صفحات برچسب، نام برچسب نمایش داده خواهد شد. این تابع فقط می تواند خارج از حلقه استفاده شود.</p>
<p class="code">&lt;?php&nbsp;single_cat_title($prefix,&nbsp;$display);&nbsp;?></p>
<div class="parameter">
<h3>$prefix</h3>
<h4>نوع: رشته</h4>
<p>(اختیاری) نمایش متن قبل از عنوان.</p>
<hr />
</div>
<div class="parameter">
<h3>$display</h3>
<h4>نوع: بولی</h4>
<p>(اختیاری) آیا نام دسته باید نمایش داده شود (True) یا برای استفاده در کدهای PHP برگردانده شود (False). پیش فرض: True.</p>
</div>
</div>
<h3 class="click">The Category<span>the_category();</span></h3>
<div class="dropdown">
<p class="description">دسته های نوشته را با لینک به هر دسته نمایش می دهد. این تابع باید درون حلقه استفاده شود.</p>
<p class="code">&lt;?php&nbsp;the_category($separator,&nbsp;$parents,&nbsp;$post_id);&nbsp;?></p>
<div class="parameter">
<h3>$separator</h3>
<h4>نوع: رشته</h4>
<p>متن یا نویسه ای که میان دسته ها قرار خواهد گرفت. به صورت پیش فرض دسته های مختلف را در یک لیست مرتب نشده (Unordered list) قرار می دهد.</p>
<hr />
</div>
<div class="parameter">
<h3>$parents</h3>
<h4>نوع: رشته</h4>
<p>چگونگی نمایش دسته های زیرمجموعه. گزینه ها:</p>
<ul>
<li>'multiple' - پیوندهای جداگانه برای دسته ی مادر و دسته ی فرزند به صورت "مادر/فرزند" نمایش داده می شود.</li>
<li>'single' - تنها به دسته ی فرزند پیوند داده می شود و متن پیوند به صورت "مادر/فرزند" خواهد بود.</li>
</ul>
<p>نکته: به صورت پیش فرض به دسته فرزند پیوند داده می شود و در متن پیوند هم فقط نام دسته فرزند درج می شود.</p>
<hr />
</div>
<div class="parameter">
<h3>$post_id</h3>
<h4>نوع: عدد صحیح</h4>
<p>آیدی نوشته مورد نظر جهت نمایش دسته ها. مقدار پیش فرض false می باشد (نوشته فعلی).</p>
</div>
</div>
<h3 class="click">The Category RSS<span>the_category_rss();</span></h3>
<div class="dropdown">
<p class="description">نمایش دسته های نوشته در فید.</p>
<p class="code">&lt;?php&nbsp;the_category_rss($type);&nbsp;?></p>
<div class="parameter">
<h3>$type</h3>
<h4>نوع: رشته</h4>
<p>(اختیاری) مقادیر قابل قبول 'rss'، 'atom' و 'rdf' می باشد. مقدار پیش فرض 'rss' است. </p>
</div>
</div>
<h3 class="click">Dropdown Categories<span>wp_dropdown_categories();</span></h3>
<div class="dropdown">
<p class="description">نمایش یا فراخوانی یک لیست افتادنی از دسته ها.</p>
<p class="code">&lt;?php&nbsp;wp_dropdown_categories($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>نوع: رشته</h4>
<p>(اختیاری) با استفاده از آرگومان های دلخواه، آرگومان های پیش فرض نادیده گرفته خواهند شد. اگر این تابع بدون پارامتر استفاده شود، نتایج زیر حاصل می شود:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'show_option_all'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'show_option_none'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'orderby'</td>
<td>=></td>
<td>'ID',</td>
</tr>
<tr>
<td>'order'</td>
<td>=></td>
<td>'ASC',</td>
</tr>
<tr>
<td>'show_last_update'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'show_count'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'hide_empty'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'child_of'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'exclude'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'selected'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'hierarchical'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'name'</td>
<td>=></td>
<td>'cat',</td>
</tr>
<tr>
<td>'id'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'class'</td>
<td>=></td>
<td>'postform',</td>
</tr>
<tr>
<td>'depth'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'tab_index'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'taxonomy'</td>
<td>=></td>
<td>'category',</td>
</tr>
<tr>
<td>'hide_if_empty'</td>
<td>=></td>
<td>false</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<ul>
<li>دسته ها بر اساس آیدیشان به صورت سعودی مرتب می شوند</li>
<li>آخرین تاریخ به روزرسانی نمایش داده نمی شود</li>
<li>تعداد نوشته های هر دسته نمایش داده نمی شود</li>
<li>دسته های خالی (بدون نوشته) نمایش داده نمی شوند</li>
<li>هیچ موردی چشم پوشی نمی گردد</li>
<li>دسته ها را نمایش می دهد(echo)</li>
<li>هیچ دسته ای به صورت پیش فرض انتخاب شده نیست</li>
<li>دسته ها را به صورت درختی نمایش نمی دهد</li>
<li>نام فرم 'cat' می باشد</li>
<li>به فرم کلاس 'postform' نسبت داده می شود</li>
<li>آیدی ای برای لیست تعیین نمی شود پس نام لیست به عنوان آیدی نسبت داده می شود</li>
<li>محدودیتی در عمق دسته ها وجود ندارد</li>
<li>Tab index لیست برابر 0 می باشد</li>
<li>انتخاب دسته (category) ها به عنوان رده بندی (taxonomy)</li>
<li>لیست افتادنی در صورت خالی بودن مخفی می شود</li>
</ul>
</div>
</div>
<h3 class="click">List Categories<span>wp_list_categories();</span></h3>
<div class="dropdown">
<p class="description">لیستی از دسته ها را به صورت پیوند نمایش می دهد. وقتی روی پیوند یک دسته کلیک شود، تمامی پست های آن دسته در صفحه نمایش دسته ها به نمایش در می آیند که می توان آن صفحه  را از لحاظ ظاهری و ساختاری ویرایش نمود. توصیه می شود برای اطلاعات بیشتر، قوانین پردازش فایل های پوسته توسط وردپرس (Template Hierarchy) را ببینید.</p>
<p class="code">&lt;?php&nbsp;wp_list_categories($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>نوع: رشته</h4>
<p>(اختیاری) با استفاده از آرگومان های دلخواه، آرگومان های پیش فرض نادیده گرفته خواهند شد. اگر این تابع بدون پارامتر استفاده شود، نتایج زیر حاصل می شود:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'show_option_all'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'orderby'</td>
<td>=></td>
<td>'name',</td>
</tr>
<tr>
<td>'order'</td>
<td>=></td>
<td>'ASC',</td>
</tr>
<tr>
<td>'show_last_update'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'style'</td>
<td>=></td>
<td>'list',</td>
</tr>
<tr>
<td>'show_count'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'hide_empty'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'use_desc_for_title'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'child_of'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'feed'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'feed_type'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'feed_image'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'exclude'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'exclude_tree'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'include'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'hierarchical'</td>
<td>=></td>
<td>true,</td>
</tr>
<tr>
<td>'title_li'</td>
<td>=></td>
<td>__( 'Categories' ),</td>
</tr>
<tr>
<td>'number'</td>
<td>=></td>
<td>NULL,</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'depth'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'current_category'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'pad_counts'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'taxonomy'</td>
<td>=></td>
<td>'category',</td>
</tr>
<tr>
<td>'walker'</td>
<td>=></td>
<td>'Walker_Category'</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<ul>
<li>پیوندی به "همه دسته ها" وجود ندارد</li>
<li>دسته ها بر اساس نامشان به صورت سعودی مرتب می شوند</li>
<li>آخرین نوشته به روز شده را نمایش نمی دهد (آخرین نوشته به روزرسانی شده در هر دسته)</li>
<li>دسته ها در یک لیست بدون ترتیب (Unordered list) نمایش داده می شوند</li>
<li>تعداد نوشته های هر دسته نمایش نمی یابد</li>
<li>تنها دسته های دارای نوشته نمایش داده می شوند</li>
<li>خاصیت عنوان (title) هر پیوند، توضیح آن دسته است</li>
<li>لیست با دستور child_of محدود نشده است. اگر از این دستور استفاده شود تنها دسته های فرزند دسته ی مادر مورد نظر به نمایش در می آیند</li>
<li>از فید یا عکس فید استفاده نمی شود</li>
<li>هیچ دسته ای چشم پوشی نمی شود و تمامی دسته ها در لیست قرار می گیرند</li>
<li>به دسته فعال (اگر کاربر در حال دیدن یک دسته باشد) کلاس 'current-cat' افزوده می شود</li>
<li>دسته ها به صورت درختی نمایش می دهد</li>
<li>دسته به عنوان تیتر بالای لیست نمایش داده می شود</li>
<li>محدودیتی توسط دستورات SQL اعمال نمی شود ('number' => 0 در بالا نوشته نشده است)</li>
<li>دسته ها را نمایش می دهد (echo)</li>
<li>محدودیتی در عمق دسته ها وجود ندارد</li>
<li>تمامی دسته ها نمایش داده می شوند</li>
<li>لیست توسط کلاس Walker_Category ارائه می شود</li>
</ul>
</div>
</div>
</div>
</div>
<?php include("footer.php"); ?>
</body>
</html>