<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div><h2>Login/Logout Tags</h2>
<h3 class="click">Is User Logged In <span>is_user_logged_in();</span></h3>
<div class="dropdown">
<p class="description">This Conditional Tag checks if the current visitor is logged in. This is a boolean function, meaning it returns either TRUE or FALSE.</p>
<p class="code">&lt;?php&nbsp;is_user_logged_in();&nbsp;?></p>
<div class="parameter">
<p>No parameters.</p>
</div>
</div>
<h3 class="click">WP Login Form <span>wp_login_form();</span></h3>
<div class="dropdown">
<p class="description">Provides a simple login form for use anywhere within WordPress. By default, it echoes the HTML immediately. Pass array('echo' => false) to return the string instead.</p>
<p class="code">&lt;?php&nbsp;wp_login_form($args);&nbsp;?></p>
<div class="parameter">
<p>Default arguments:</p>
<table>
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>true,</td>
</tr>
<tr>
<td>'redirect'</td>
<td>=></td>
<td>site_url( $_SERVER['REQUEST_URI'] ), </td>
</tr>
<tr>
<td>'form_id'</td>
<td>=></td>
<td>'loginform',</td>
</tr>
<tr>
<td>'label_username'</td>
<td>=></td>
<td>__( 'Username' ),</td>
</tr>
<tr>
<td>'label_password'</td>
<td>=></td>
<td>__( 'Password' ),</td>
</tr>
<tr>
<td>'label_remember'</td>
<td>=></td>
<td>__( 'Remember Me' ),</td>
</tr>
<tr>
<td>'label_log_in'</td>
<td>=></td>
<td>__( 'Log In' ),</td>
</tr>
<tr>
<td>'id_username'</td>
<td>=></td>
<td>'user_login',</td>
</tr>
<tr>
<td>'id_password'</td>
<td>=></td>
<td>'user_pass',</td>
</tr>
<tr>
<td>'id_remember'</td>
<td>=></td>
<td>'rememberme',</td>
</tr>
<tr>
<td>'id_submit'</td>
<td>=></td>
<td>'wp-submit',</td>
</tr>
<tr>
<td>'remember'</td>
<td>=></td>
<td>true,</td>
</tr>
<tr>
<td>'value_username'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'value_remember'</td>
<td>=></td>
<td>false</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
</div>
<div class="parameter">
<h3>echo</h3>
<h4>Boolean</h4>
<p>(Optional) Display the results. Options are:</p>
<ul>
<li>1 (true) - Default</li>
<li>0 (false)</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>redirect</h3>
<h4>String</h4>
<p>URL to redirect to. Default: the current page.</p>
<hr />
</div>
<div class="parameter">
<h3>form_id</h3>
<h4>String</h4>
<p>(Optional) Default: loginform.</p>
<hr />
</div>
<div class="parameter">
<h3>remember</h3>
<h4>Boolean</h4>
<p>(Optional) Whether to remember the values.</p>
<ul>
<li>1 (true) - Default</li>
<li>0 (false)</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>value_username</h3>
<h4>String</h4>
<p>(Optional) Default: loginform.</p>
<hr />
</div>
<div class="parameter">
<h3>value_remember</h3>
<h4>String</h4>
<p>(Optional).</p>
<ul>
<li>1 (true)</li>
<li>0 (false) - Default</li>
</ul>
</div>
</div>
<h3 class="click">WP Login URL <span>wp_login_url();</span></h3>
<div class="dropdown">
<p class="description">This Template Tag returns the URL that allows the user to log in to the site.</p>
<p class="code">&lt;?php&nbsp;wp_login_url($redirect);&nbsp;?></p>
<div class="parameter">
<h3>$redirect</h3>
<h4>String</h4>
<p>(Optional) URL to redirect to on login. Default: none.</p>
</div>
</div>
<h3 class="click">WP Login/Logout <span>wp_loginout();</span></h3>
<div class="dropdown">
<p class="description">Displays a login link, or if a user is logged in, displays a logout link. An optional, redirect argument can be used to redirect the user upon login or logout.</p>
<p class="code">&lt;?php&nbsp;wp_loginout($redirect);&nbsp;?></p>
<div class="parameter">
<h3>$redirect</h3>
<h4>String</h4>
<p>(Optional) URL to redirect to on login/logout. Default: none.</p>
</div>
</div>
<h3 class="click">WP Logout <span>wp_logout();</span></h3>
<div class="dropdown">
<p class="description">Log the current user out, by destroying the current user session.</p>
<p class="code">&lt;?php&nbsp;wp_logout();&nbsp;?></p>
<div class="parameter">
<p>No parameters.</p>
</div>
</div>
<h3 class="click">WP Logout URL<span>wp_logout_url();</span></h3>
<div class="dropdown">
<p class="description">This Template Tag returns the URL that allows the user to log out to the site.</p>
<p class="code">&lt;?php&nbsp;echo&nbsp;wp_logout_url($redirect);&nbsp;?></p>
<div class="parameter">
<h3>$redirect</h3>
<h4>String</h4>
<p>(Optional) URL to redirect to on logout. Default: none.</p>
</div>
</div>
<h3 class="click">WP Lost Password URL<span>wp_lostpassword_url();</span></h3>
<div class="dropdown">
<p class="description">This Template Tag returns the URL that allows the user to retrieve the lost password.</p>
<p class="code">&lt;?php&nbsp;echo&nbsp;wp_lostpassword_url($redirect);&nbsp;?></p>
<div class="parameter">
<h3>$redirect</h3>
<h4>String</h4>
<p>(Optional) URL to redirect to after retrieving the lost password. Default: none.</p>
</div>
</div>
<h3 class="click">WP Register<span>wp_register();</span></h3>
<div class="dropdown">
<p class="description">This tag displays either the "Register" if the user is logged in or "Site Admin" link the user is not logged in. The "Register" link is not offered if the Administration > Settings > General > Membership: Anyone can register box is not checked.</p>
<p class="code">&lt;?php&nbsp;echo&nbsp;wp_register($before,&nbsp;$after,&nbsp;$echo);&nbsp;?></p>
<div class="parameter">
<h3>$before</h3>
<h4>String</h4>
<p>(Optional) Text to display before the Register or Site Admin link. Default: '&lt;li>'</p>
<hr />
</div>
<div class="parameter">
<h3>$after</h3>
<h4>String</h4>
<p>(Optional) Text to display after the Register or Site Admin link. Default: '&lt;/li>'</p>
<hr />
</div>
<div class="parameter">
<h3>$echo</h3>
<h4>Boolean</h4>
<p>(Optional) If true, echos the link, if false, returns the link as a string. Default: True.</p>
</div>
</div>
</div>
<?php include("footer.php"); ?>
</body>
</html>