<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2>Post Thumbnail Tags</h2>
<h3 class="click">Get Post Thumbnail ID<span>get_post_thumnbnail_id();</span></h3>
<div class="dropdown">
<p class="description">If a thumbnail is set - Returns the ID of the Thumbnail attached to the post. If no such attachment exists, the function returns null (empty value).</p>
<p class="code">&lt;?php&nbsp;get_post_thumnbnail_id($id);&nbsp;?></p>
<div class="parameter">
<h3>$id</h3>
<h4>Integer</h4>
<p>(Optional) Post ID. Default: none.</p>
</div>
</div>
<h3 class="click">Get The Post Thumbnail<span>get_the_post_thumnbnail();</span></h3>
<div class="dropdown">
<p class="description">Gets Post Thumbnail as set in post's or page's edit screen. Thumbnail images are given class "attachment-thumbnail".</p>
<p class="code">&lt;?php&nbsp;get_post_thumnbnail_id($id,&nbsp;$size,&nbsp;$attr);&nbsp;?></p>
<div class="parameter">
<h3>$id</h3>
<h4>Integer</h4>
<p>(Optional) Post ID. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$size</h3>
<h4>String</h4>
<p>(Optional) Image size. Default: 'post-thumbnail'</p>
<hr />
</div>
<div class="parameter">
<h3>$attr</h3>
<h4>String/Array</h4>
<p>(Optional) Query string or array of attributes. See wp_get_attachment_image.</p>
<table>
<tr>
<td>&lt;?php&nbsp;$default_attr&nbsp;=&nbsp;array(</td>
</tr>
<tr>
<td>'src'</td>
<td>=></td>
<td>$src,</td>
</tr>
<tr>
<td>'class'</td>
<td>=></td>
<td>"attachment-$size",</td>
</tr>
<tr>
<td>'alt'</td>
<td>=></td>
<td>trim(strip_tags( $attachment->post_excerpt )),</td>
</tr>
<tr>
<td>'title'</td>
<td>=></td>
<td>trim(strip_tags( $attachment->post_title )),</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
</div>
</div>
<h3 class="click">Has Post Thumbnail<span>has_post_thumbnail();</span></h3>
<div class="dropdown">
<p class="description">Returns a boolean if post has an image attached (true) or not (false). Note: To enable post thumbnails, the current theme must include add_theme_support( 'post-thumbnails' ); in its functions.php file.</p>
<p class="code">&lt;?php&nbsp;has_post_thumbnail($post_id);&nbsp;?></p>
<div class="parameter">
<h3>$post_id</h3>
<h4>Integer</h4>
<p>(Optional) Post ID. Default: 'ID', the post ID.</p>
</div>
</div>
<h3 class="click">The Post Thumbnail<span>the_post_thumbnail();</span></h3>
<div class="dropdown">
<p class="description">Display Post Thumbnail as set in post's edit screen. Thumbnail images are given class "attachment-thumbnail". To enable post thumbnails, the current theme must include add_theme_support( 'post-thumbnails' ); in its functions.php file.</p>
<p class="code">&lt;?php&nbsp;the_post_thumbnail($size,&nbsp;$attr);&nbsp;?></p>
<div class="parameter">
<h3>$size</h3>
<h4>String/Array</h4>
<p>(Optional) Image size. Default: 'post-thumbnail', which theme sets using set_post_thumbnail_size($width, $height, $crop_flag);. Either a string keyword(thumbnail, medium, large or full) or a 2-item array representing width and height in pixels, e.g. array(32,32).</p>
<hr />
</div>
<div class="parameter">
<h3>$attr</h3>
<h4>Array</h4>
<p>(Optional) Array of attribute/value pairs. For details, search source for the function that the_post_thumbnail relies on: wp_get_attachment_image. Default: none.</p>
</div>
</div>
 </div>
<?php include("footer.php"); ?>
</body>
</html>