<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2>Query Tags</h2>
<h3 class="click">Get Posts<span>get_posts();</span></h3>
<div class="dropdown">
<p class="description">This is a simple tag for creating multiple loops.</p>
<p class="code">&lt;?php&nbsp;get_posts('arguments');&nbsp;?></p>
<div class="parameter">
<h3>$numberposts</h3>
<h4>Integer</h4>
<p>(Optional) Number of posts to return. Set to 0 to use the max number of posts per page. Set to -1 to remove the limit. Default: 5.</p>
<hr />
</div>
<div class="parameter">
<h3>$offset</h3>
<h4>Integer</h4>
<p>(Optional) Offset from latest post. Default: 0.</p>
<hr />
</div>
<div class="parameter">
<h3>$category</h3>
<h4>Integer</h4>
<p>(Optional) Only show posts from this category ID. Making the category ID negative (-3 rather than 3) will show results not matching that category ID. Multiple category IDs can be specified by separating the category IDs with commas - but an array of IDs does not work. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$category_name</h3>
<h4>String</h4>
<p>(Optional) Only show posts from this category name or category slug. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$tag</h3>
<h4>String</h4>
<p>(Optional) Only show posts with this tag slug. If you specify multiple tag slugs separated by commas, all results matching any tag will be returned. If you specify multiple tag slugs separated by spaces, the results will match all the specified tag slugs. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$orderby</h3>
<h4>String</h4>
<p>(Optional) Sort posts by one of various values (separated by space), including:</p>
<ul>
<li>'author' - Sort by the numeric author IDs.</li>
<li>'category' - Sort by the numeric category IDs.</li>
<li>'content' - Sort by content.</li>
<li>'date' - Sort by creation date.</li>
<li>'ID' - Sort by numeric post ID.</li>
<li>'menu_order' - Sort by the menu order. Only useful with pages and attachments.</li>
<li>'mime_type' - Sort by MIME type. Only useful with attachments.</li>
<li>'modified' - Sort by last modified date.</li>
<li>'name' - Sort by stub.</li>
<li>'parent' - Sort by parent ID.</li>
<li>'password' - Sort by password.</li>
<li>'rand' - Randomly sort results.</li>
<li>'status' - Sort by status.</li>
<li>'title' - Sort by title.</li>
<li>'type' - Sort by type.</li>
</ul>
<p>Notes: Sorting by ID and rand is only available starting with Version 2.5. Default: post_date.</p>
<hr />
</div>
<div class="parameter">
<h3>$order</h3>
<h4>String</h4>
<p>(Optional) How to sort $orderby. Valid values:</p>
<ul>
<li>'ASC' - Ascending (lowest to highest)</li>
<li>'DESC' - Descending (highest to lowest) - Default</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>$include</h3>
<h4>String</h4>
<p>(Optional) The IDs of the posts you want to show, separated by commas and/or spaces. The following value would work in showing these six posts: '45,63, 78 94 ,128 , 140'. Note: Using this parameter will override the numberposts, offset, category, exclude, meta_key, meta_value, and post_parent parameters. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$exclude</h3>
<h4>String</h4>
<p>(Optional) The IDs of any posts you want to exclude, separated by commas and/or spaces (see $include parameter). Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$meta_key <em>and</em> $meta_value</h3>
<h4>String</h4>
<p>(Optional) Only show posts that contain a meta (custom) field with this key and value. Both parameters must be defined, or neither will work. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$post_type</h3>
<h4>String</h4>
<p>(Optional) The type of post to show. Available options are:</p>
<ul>
<li>post - Default</li>
<li>page</li>
<li>attachment</li>
<li>any - all post types</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>$post_status</h3>
<h4>String</h4>
<p>(Optional) Show posts with a particular status. Multiple statuses can be given, separated with a comma. Available options are:</p>
<ul>
<li>publish - Default</li>
<li>private</li>
<li>draft</li>
<li>future</li>
<li>inherit - Default if $post_type is set to attachment</li>
<li>(blank) - all statuses (use 'any' instead of blank in 3.0, not sure when it changed)</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>$post_parent</h3>
<h4>Integer</h4>
<p>(Optional) Show only the children of the post with this ID. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$nopaging</h3>
<h4>Boolean</h4>
<p>(Optional) Enable or disable paging. If paging is disabled, the $numberposts option is ignored. Default: none.</p>
</div>
</div>
<h3 class="click">WP Reset Query<span>wp_reset_query();</span></h3>
<div class="dropdown">
<p class="description">This function destroys the previous query used on a custom Loop. Function should be called after The Loop to ensure conditional tags work as expected.</p>
<p class="code">&lt;?php&nbsp;wp_reset_query();&nbsp;?></p>
<div class="parameter">
<p>No parameters.</p>
</div>
</div>
 </div>
<?php include("footer.php"); ?>
</body>
</html>