<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2>Tag Tags</h2>
<h3 class="click">Single Tag Title<span>single_tag_title();</span></h3>
<div class="dropdown">
<p class="description">Displays or returns the tag title for the current page.</p>
<p class="code">&lt;?php&nbsp;single_tag_title($prefix,&nbsp;$display);&nbsp;?></p>
<div class="parameter">
<h3>$prefix</h3>
<h4>String</h4>
<p>(Optional) Text to output before the title. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$display</h3>
<h4>Boolean</h4>
<p>(Optional) Display the title (True), or return the title to be used in PHP (False). Default: True.</p>
</div>
</div>
<h3 class="click">Tag Description<span>tag_description();</span></h3>
<div class="dropdown">
<p class="description">First available with WordPress Version 2.8, this template tag returns the description of a tag. A tag ID can be passed as a parameter, but if no tag ID is passed, the description current queried tag will be returned.</p>
<p class="code">&lt;?php&nbsp;tag_description($tagID);&nbsp;?></p>
<div class="parameter">
<h3>$tagID</h3>
<h4>String</h4>
<p>(Optional) The ID of the tag to return a description. Default: return description of current query tag.</p>
</div>
</div>
<h3 class="click">The Tags<span>the_tags();</span></h3>
<div class="dropdown">
<p class="description">This template tag displays a link to the tag or tags a post belongs to. If no tags are associated with the current entry, the associated category is displayed instead. This tag should be used within The Loop.</p>
<p class="code">&lt;?php&nbsp;the_tags($before,&nbsp;$separator,&nbsp;$after);&nbsp;?></p>
<div class="parameter">
<h3>$before </h3>
<h4>String</h4>
<p>Text to display before the actual tags are displayed. Defaults to tags.</p>
<hr />
</div>
<div class="parameter">
<h3>$separator</h3>
<h4>String</h4>
<p>Text or character to display between each tag link. The default is a comma (,) between each tag.</p>
<hr />
</div>
<div class="parameter">
<h3>$after </h3>
<h4>String</h4>
<p>Text to display after the last tag. The default is to display nothing.</p>
</div>
</div>
<h3 class="click">WP Generate Tag Cloud<span>wp_generate_tag_cloud();</span></h3>
<div class="dropdown">
<p class="description">Returns an HTML string that makes a tag cloud.</p>
<p class="code">&lt;?php&nbsp;wp_generate_tag_cloud($tags,&nbsp;$args);&nbsp;?></p>
<div class="parameter">
<table>
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'smallest'</td>
<td>=></td>
<td>8,</td>
</tr>
<tr>
<td>'largest'</td>
<td>=></td>
<td>22,</td>
</tr>
<tr>
<td>'unit'</td>
<td>=></td>
<td>'pt',</td>
</tr>
<tr>
<td>'number'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'format'</td>
<td>=></td>
<td>'flat',</td>
</tr>
<tr>
<td>'separator'</td>
<td>=></td>
<td>'\n',</td>
</tr>
<tr>
<td>'orderby'</td>
<td>=></td>
<td>'name',</td>
</tr>
<tr>
<td>'order'</td>
<td>=></td>
<td>'ASC',</td>
</tr>
<tr>
<td>'topic_count_text_callback'</td>
<td>=></td>
<td>'default_topic_count_text',</td>
</tr>
<tr>
<td>'topic_count_scale_callback'</td>
<td>=></td>
<td>'default_topic_count_scale',</td>
</tr>
<tr>
<td>'filter'</td>
<td>=></td>
<td>1</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
</div>
</div>
<h3 class="click">WP Tag Cloud<span>WP Tag Cloud();</span></h3>
<div class="dropdown">
<p class="description">Available with WordPress Version 2.3, the wp_tag_cloud() function displays a list of tags in what is called a 'tag cloud', where the size of each tag is determined by how many times that particular tag has been assigned to posts. Beginning with Version 2.8, the taxonomy parameter was added so that any taxonony could be used as the basis of generating the cloud. That means that a cloud for Categories or any other Custom Taxonomies can be presented to visitors.</p>
<p class="code">&lt;?php&nbsp;wp_tag_cloud($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>Array</h4>
<p>Default arguments:</p>
<table>
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'smallest'</td>
<td>=></td>
<td>8,</td>
</tr>
<tr>
<td>'largest'</td>
<td>=></td>
<td>22,</td>
</tr>
<tr>
<td>'unit'</td>
<td>=></td>
<td>'pt', </td>
</tr>
<tr>
<td>'number'</td>
<td>=></td>
<td>45,</td>
</tr>
<tr>
<td>'format'</td>
<td>=></td>
<td>'flat',</td>
</tr>
<tr>
<td>'separator'</td>
<td>=></td>
<td>'\n',</td>
</tr>
<tr>
<td>'orderby'</td>
<td>=></td>
<td>'name', </td>
</tr>
<tr>
<td>'order'</td>
<td>=></td>
<td>'ASC',</td>
</tr>
<tr>
<td>'exclude'</td>
<td>=></td>
<td>, </td>
</tr>
<tr>
<td>'include'</td>
<td>=></td>
<td>, </td>
</tr>
<tr>
<td>'link'</td>
<td>=></td>
<td>'view', </td>
</tr>
<tr>
<td>'taxonomy'</td>
<td>=></td>
<td>'post_tag',</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>true</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<p>By default, the usage shows:</p>
<ul>
<li>smallest - The smallest tag (lowest count) is shown at size 8</li>
<li>largest - The largest tag (highest count) is shown at size 22</li>
<li>unit - Describes 'pt' (point) as the font-size unit for the smallest and largest values</li>
<li>number - Displays at most 45 tags</li>
<li>format - Displays the tags in flat (separated by whitespace) style</li>
<li>separator - Displays whitespace between tags</li>
<li>orderby - Order the tags by name</li>
<li>order - Sort the tags in ASCENDING fashion</li>
<li>exclude - Exclude no tags</li>
<li>include - Include all tags</li>
<li>link - view</li>
<li>taxonomy - Use post tags for basis of cloud</li>
<li>echo - echo the results</li>
</ul>
</div>
</div>
</div>
<?php include("footer.php"); ?>
</body>
</html>