<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2>Title Tags</h2>
<h3 class="click">Single Cat Title<span>single_cat_title();</span></h3>
<div class="dropdown">
<p class="description">Displays or returns the category title for the current page. For pages displaying WordPress tags rather than categories (e.g. "/tag/geek") the name of the tag is displayed instead of the category. Can be used only outside The Loop.</p>
<p class="code">&lt;?php&nbsp;single_cat_title($prefix,&nbsp;$display);&nbsp;?></p>
<div class="parameter">
<h3>$prefix</h3>
<h4>String</h4>
<p>(Optional) Text to output before the title. Default: none.</p>
<br />
</div>
<div class="parameter">
<h3>$display</h3>
<h4>Boolean</h4>
<p>(Optional) Should the title be displayed (True) or returned for use in PHP (False). Default: True.</p>
</div>
</div>
<h3 class="click">Single Month Title<span>single_month_title();</span></h3>
<div class="dropdown">
<p class="description">Displays or returns the month and year title for the current page. This tag only works when the m or archive month argument has been passed by WordPress to the current page (this occurs when viewing a monthly archive page). Note: This tag works only on date archive pages, not on category templates or others. It does not support placing the separator after the title, but by leaving the prefix parameter empty, you can set the title separator manually. The prefix does not automatically place a space between the prefix, so if there should be a space, the parameter value will need to have it at the end.</p>
<p class="code">&lt;?php&nbsp;single_month_title($prefix,&nbsp;$display);&nbsp;?></p>
<div class="parameter">
<h3>$prefix</h3>
<h4>String</h4>
<p>(Optional) Text to output before the title. Default: none.</p>
<br />
</div>
<div class="parameter">
<h3>$display</h3>
<h4>Boolean</h4>
<p>(Optional) Should the title be displayed (True) or returned for use in PHP (False). Default: True.</p>
</div>
</div>
<h3 class="click">Single Post Title<span>single_post_title();</span></h3>
<div class="dropdown">
<p class="description">Displays or returns the title of the post when on a single post page (permalink page). This tag can be useful for displaying post titles outside The Loop.</p>
<p class="code">&lt;?php&nbsp;single_post_title($prefix,&nbsp;$display);&nbsp;?></p>
<div class="parameter">
<h3>$prefix</h3>
<h4>String</h4>
<p>(Optional) Text to output before the title. Default: none.</p>
<br />
</div>
<div class="parameter">
<h3>$display</h3>
<h4>Boolean</h4>
<p>(Optional) Should the title be displayed (True) or returned for use in PHP (False). Default: True.</p>
</div>
</div>
<h3 class="click">Single Tag Title<span>single_tag_title();</span></h3>
<div class="dropdown">
<p class="description">Displays or returns the tag title for the current page.</p>
<p class="code">&lt;?php&nbsp;single_tag_title($prefix,&nbsp;$display);&nbsp;?></p>
<div class="parameter">
<h3>$prefix</h3>
<h4>String</h4>
<p>(Optional) Text to output before the title. Default: none.</p>
<br />
</div>
<div class="parameter">
<h3>$display</h3>
<h4>Boolean</h4>
<p>(Optional) Should the title be displayed (True) or returned for use in PHP (False). Default: True.</p>
</div>
</div>
<h3 class="click">The Search Query<span>the_search_query();</span></h3>
<div class="dropdown">
<p class="description">Displays the search query for the current request, if a search was made. This function can be used safely within HTML attributes (as in the "search box" example, below).</p>
<p class="code">&lt;?php&nbsp;the_search_query();&nbsp;?></p>
<div class="parameter">
<p>No parameters.</p>
</div>
</div>
<h3 class="click">WP Title<span>wp_title();</span></h3>
<div class="dropdown">
<p class="description">Displays or returns the title of the page. A separator string can be defined, and beginning with Version 2.5, that separator can be designated to print before or after the title of the page. This tag can be used anywhere within a template as long as it's outside The Loop on the main page, though is typically used in the &lt;title> element for the head of a page.</p>
<p class="code">&lt;?php&nbsp;wp_title($sep,&nbsp;$echo,&nbsp;$seplocation);&nbsp;?></p>
<div class="parameter">
<h3>$sep</h3>
<h4>String</h4>
<p>(Optional) Text to display before or after of the post title (i.e. the separator). By default (if sep is blank) then the &amp;raquo; (&raquo;) symbol will be placed before or after (specified by the seplocation) the post title. Default: &amp;raquo; (&raquo;).</p>
<hr />
</div>
<div class="parameter">
<h3>$echo</h3>
<h4>Boolean</h4>
<p>(Optional) Echo the title (True) or return the title for use as a PHP string (False). Default: True.</p>
<hr />
</div>
<div class="parameter">
<h3>$seplocation</h3>
<h4>String</h4>
<p>(Optional) Introduced with Version 2.5, this parameter defines the location of where the sep string prints in relation to the title of the post. For all values except 'right', the sep value is placed in front of (to the left of) the post title. If the value of seplocation is 'right' then the sep string will be appended after the post title. Default: none.</p>
</div>
</div>
</div>
<?php include("footer.php"); ?>
</body>
</html>